<?
$r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$mysqli = connectDB($r);
$spe=$_SESSION['perfil'];
$sql="";
$ver=$_GET['ver'];
if($ver=="1"){$tabla="z_productos";$parametro="id";$parametro1="producto";$parametro2="idproducto";}
elseif($ver=="2"){$tabla="z_ruteros";$parametro="id";$parametro1="nombre";$parametro2="idrutero";}

if(!empty($_GET['productos'])){
    if(count($_GET['productos'])==1){
        $sql.='z_pedido.idproducto='.$_GET['productos'][0].' AND ';
    }else{
        $last = end($_GET['productos']);
        $sql.='';
        foreach($_GET['productos'] as $valor){
            $sql.='z_pedido.idproducto='.$valor;
            if($valor!=$last){
                $sql.=' OR ';
            }
        } $sql.=' AND ';
    }
}
if(!empty($_GET['ruta'])){
    $inforuta = info('idrutero','z_ruta',$_GET['ruta']);
    $sql.='z_pedidos.idrutero='.$inforuta['idrutero'].' AND ';
}

if(!empty($_GET['tipo'])){
    $sql.="z_pedidos.tipopedido='".$_GET['tipo']."' AND";
}

if(!empty($_GET['estado'])){
    $sql.="z_pedidos.estado='".$_GET['estado']."' AND";
}
if(!empty($_GET['pago'])){
    $sql.="z_pedidos.pago='".$_GET['pago']."' AND";
}

$cliente=$_GET['cliente'];
if($cliente!=""){if($sql!=""){$sql.=' AND ';}else{$sql.=' WHERE ';}  $sql.='z_pedidos.idcliente='.$cliente;}
$inicio=$_GET['inicial'];if($inicio==""){$inicio="2019-01-01";}
$final=$_GET['final'];if($final==""){$final= date("Y-m-d");}
$arrayproductos= array();
$arraytotales= array();
$cero=0;

//echo "SELECT z_pedido.cantidad, z_pedido.idproducto, z_pedido.idpresentacion, z_pedidos.fecha  FROM z_pedidos INNER JOIN z_pedido ON z_pedidos.codigopedido = z_pedido.codigopedido WHERE $sql z_pedidos.fecha BETWEEN '$inicio 00:00:00' AND '$final 23:59:59'"; exit();
                                              
$row3=$mysqli->query("SELECT z_pedido.cantidad, z_pedido.idproducto, z_pedido.idpresentacion, z_pedidos.fecha  FROM z_pedidos INNER JOIN z_pedido ON z_pedidos.codigopedido = z_pedido.codigopedido WHERE  $sql z_pedidos.fecha BETWEEN '$inicio 00:00:00' AND '$final 23:59:59'");
$num1 = $qry1->num_rows;
if($num1 > 0){
    while($row4 = $row3->fetch_assoc()) {
        
        $fecha = $row4['fecha'];
        $fechaComoEntero = strtotime($fecha);
        $Y = date("Y", $fechaComoEntero);
        $m = date("m", $fechaComoEntero);
        $idproducto =  $row4['idproducto'];
        $nomproducto= info('producto','z_productos',$idproducto);
        array_push($arrayproductos[$idproducto]=$nomproducto['producto']);
        $infopresent = info('cantidad,unidad','z_presentaciones_productos',$row4['idpresentacion']);
        $total = $row4['cantidad']*$infopresent['cantidad'];
        array_push($arraytotales[$idproducto]=$total);
        
        array_push($arrayunidad[$idproducto]=$infopresent['unidad']);
    }
}
?>

<!DOCTYPE html>
<html lang="es">
  <?php include $r."inc/head.php"; ?>
  <link href="../vendor/chosen/chosen.css" rel="stylesheet">
  <link href="../vendor/buttons-master/component-buttons.min.css" rel="stylesheet" type="text/css">
  <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
  <? if($num1 > 0){ ?>  <script type="text/javascript">
      google.charts.load('current', {'packages':['bar']});
      google.charts.setOnLoadCallback(drawChart);

      function drawChart() {
        var data = google.visualization.arrayToDataTable([
          ['producto',<? foreach ($arrayproductos as $clave => $valor) {echo "'".$valor."',";}?>],
          ['Total',<?foreach ($arraytotales as $clave => $valor) {echo $valor.',';}?>],
        ]);

        var options = {
          chart: {
            title: '<?= $nameapp; ?>',
            subtitle: "Productos de <?= $inicio; ?> a <?= $final; ?>",
          },
          bars: 'vertical' // Required for Material Bar Charts.
        };

        var chart = new google.charts.Bar(document.getElementById('barchart_material'));

        chart.draw(data, google.charts.Bar.convertOptions(options));
      }
    </script>
    <style>
        table{
            border-collapse: collapse; 
            text-align:center;
        }
        td, th{
            border: 1px solid black;
        }
        th{
            font-size: 10px;
        }
        <? } ?>
    </style>
</head>  <style>
      .container-fluid{padding-right:5px;padding-left:5px;}
  </style>
<script>
  function limpiarFormulario() {
    document.getElementById("miForm").reset();
  }
</script>
<body class="fixed-nav sticky-footer sidenav-toggled bg-dark" id="page-top">
  <div class="content-wrapper">
    <div class="container-fluid">
      <?php include $r."inc/nav.php"; ?>
       
        <? if($num1 > 0){ ?>
      <div id="barchart_material" style="width: 99%; height: 600px;"></div>
      
          <div class="table-responsive">
    <table id="dataTable" class="table table-striped table-bordered">
        <tr><th>PRODUCTO</th><th>Cantidad</th></tr>
        <?foreach ($arrayproductos as $clave => $valor) {?>
        <tr>
            <td><?= $valor; ?></td>
            <td><?= $arraytotales[$clave].' '.$arrayunidad[$clave]; ?></td>
        </tr>
        <? } ?>
   </table>
   </div>
   <? } else{ echo 'NO HAY RESULTADOS PARA MOSTRAR';}?>
   <div class="p-3 text-center">
     <a href="javascript:history.go(-1)" class="btn btn-primary m-1">Volver</a>
     <a href="productos.php" class="btn btn-primary m-1">Nueva Búsqueda</a>
   </div>
        
    <?php include $r."inc/foot.php"; ?>
    </div>
  </div>
</body>
</html>